Skip to main content
Buy airtime across all mobile networks
[POST]
{{baseUrl}}/api/v1/purchase/airtime
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>
ParameterTypeDescriptionRequired
amount requirednumberamount of airtimerequired
destination requiredarraynumber(s) to receive the airtimerequired
Response
{
    "entity": {
        "status": "Sent",
        "mobile": "+2348102152847",
        "amount": "NGN 200.0000"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the response data
entity.statusstringStatus of the airtime purchase (e.g., β€œSent”)
entity.mobilestringMobile number that received the airtime
entity.amountstringAmount of airtime sent with currency (e.g., β€œNGN 200.0000”)